[Gpg4win-commits] r696 - in trunk: . packages patches/gnupg2-2.0.8
scm-commit@wald.intevation.org
scm-commit at wald.intevation.org
Tue Jan 29 20:11:28 CET 2008
Author: werner
Date: 2008-01-29 20:11:27 +0100 (Tue, 29 Jan 2008)
New Revision: 696
Added:
trunk/patches/gnupg2-2.0.8/04-import-export-spawn.patch
Modified:
trunk/ChangeLog
trunk/Makefile.am
trunk/packages/packages.current
trunk/patches/gnupg2-2.0.8/03-create-keyring.patch
Log:
Updated GpgOL.
Add patches for GnuPG.
Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog 2008-01-29 15:44:05 UTC (rev 695)
+++ trunk/ChangeLog 2008-01-29 19:11:27 UTC (rev 696)
@@ -1,8 +1,11 @@
2008-01-29 Werner Koch <wk at g10code.com>
- * patches/gnupg2-2.0.8/gnupg/g10/keydb.c: New file.
- * Makefile.am (EXTRA_DIST): Add new file.
+ * packages/packages.current: Updated GpgOL.
+ * patches/gnupg2-2.0.8/04-import-export-spawn.patch: New file
+ * patches/gnupg2-2.0.8/03-create-keyring.patch: New file.
+ * Makefile.am (EXTRA_DIST): Add new files.
+
2008-01-29 Marcus Brinkmann <marcus at g10code.de>
* src/make-msi.pl (nsis_parse_line): Skip including the file
@@ -1979,7 +1982,7 @@
* packages/download.sh: Fix downloading of Gtk source packages.
- Copyright 2005 g10 Code GmbH
+ Copyright 2005, 2006, 2007, 2008 g10 Code GmbH
This file is free software; as a special exception the author gives
unlimited permission to copy and/or distribute it, with or without
Modified: trunk/Makefile.am
===================================================================
--- trunk/Makefile.am 2008-01-29 15:44:05 UTC (rev 695)
+++ trunk/Makefile.am 2008-01-29 19:11:27 UTC (rev 696)
@@ -61,6 +61,7 @@
patches/gnupg2-2.0.8/01-agent-call-pinentry.patch \
patches/gnupg2-2.0.8/02-qualified.patch \
patches/gnupg2-2.0.8/03-create-keyring.patch \
+ patches/gnupg2-2.0.8/04-import-export-spawn.patch \
patches/gpgol-0.9.91/01-gpgme.patch
copy-news:
Modified: trunk/packages/packages.current
===================================================================
--- trunk/packages/packages.current 2008-01-29 15:44:05 UTC (rev 695)
+++ trunk/packages/packages.current 2008-01-29 19:11:27 UTC (rev 696)
@@ -218,8 +218,8 @@
#server ftp://ftp.g10code.com/g10code/gpgol/alpha
server ftp://ftp.g10code.com/g10code/scratch
-file gpgol-0.10.4-svn212.tar.bz2
-chk 9fddc8851a3c007b972e2acc134d537d4aff45e4
+file gpgol-0.10.4-svn213.tar.bz2
+chk e5c80eee0f1994ca529a82584ac5f07b9b04ae18
#
# GpgEX
Property changes on: trunk/patches/gnupg2-2.0.8/03-create-keyring.patch
___________________________________________________________________
Name: svn:executable
+ *
Added: trunk/patches/gnupg2-2.0.8/04-import-export-spawn.patch
===================================================================
--- trunk/patches/gnupg2-2.0.8/04-import-export-spawn.patch 2008-01-29 15:44:05 UTC (rev 695)
+++ trunk/patches/gnupg2-2.0.8/04-import-export-spawn.patch 2008-01-29 19:11:27 UTC (rev 696)
@@ -0,0 +1,105 @@
+#! /bin/sh
+patch -p0 -f $* < $0
+exit $?
+
+sm/
+2008-01-27 Werner Koch <wk at g10code.com>
+
+ * import.c (popen_protect_tool): Set bit 7 in the flags for
+ gnupg_spawn_process so that under W32 no window appears.
+ * export.c (popen_protect_tool): Ditto.
+
+common/
+2008-01-27 Werner Koch <wk at g10code.com>
+
+ * exechelp.c (gnupg_spawn_process): Add arg FLAGS and changed all
+ callers to pass 0 for it.
+
+
+Index: sm/import.c
+===================================================================
+--- sm/import.c (revision 4666)
++++ sm/import.c (working copy)
+@@ -482,7 +482,7 @@
+ assert (i < sizeof argv);
+
+ return gnupg_spawn_process (pgmname, argv, infile, outfile,
+- setup_pinentry_env,
++ setup_pinentry_env, 128,
+ statusfile, pid);
+ }
+
+Index: sm/export.c
+===================================================================
+--- sm/export.c (revision 4666)
++++ sm/export.c (working copy)
+@@ -597,7 +597,7 @@
+ assert (i < sizeof argv);
+
+ return gnupg_spawn_process (pgmname, argv, infile, outfile,
+- setup_pinentry_env,
++ setup_pinentry_env, 128,
+ statusfile, pid);
+ }
+
+Index: common/exechelp.c
+===================================================================
+--- common/exechelp.c (revision 4666)
++++ common/exechelp.c (working copy)
+@@ -1,5 +1,5 @@
+ /* exechelp.c - fork and exec helpers
+- * Copyright (C) 2004, 2007 Free Software Foundation, Inc.
++ * Copyright (C) 2004, 2007, 2008 Free Software Foundation, Inc.
+ *
+ * This file is part of GnuPG.
+ *
+@@ -322,11 +322,18 @@
+ PREEXEC is not NULL, that function will be called right before the
+ exec. Calling gnupg_wait_process is required.
+
++ FLAGS is a bit vector with just one bit defined for now:
++
++ Bit 7: If set the process will be started as a background process.
++ This flag is only useful under W32 systems, so that no new
++ console is created and pops up a console window when
++ starting the server
++
+ Returns 0 on success or an error code. */
+ gpg_error_t
+ gnupg_spawn_process (const char *pgmname, const char *argv[],
+ FILE *infile, FILE *outfile,
+- void (*preexec)(void),
++ void (*preexec)(void), unsigned int flags,
+ FILE **statusfile, pid_t *pid)
+ {
+ #ifdef HAVE_W32_SYSTEM
+@@ -384,6 +391,7 @@
+ si.hStdError = fd_to_handle (rp[1]);
+
+ cr_flags = (CREATE_DEFAULT_ERROR_MODE
++ | ((flags & 128)? DETACHED_PROCESS : 0)
+ | GetPriorityClass (GetCurrentProcess ())
+ | CREATE_SUSPENDED);
+ log_debug ("CreateProcess, path=`%s' cmdline=`%s'\n", pgmname, cmdline);
+Index: common/exechelp.h
+===================================================================
+--- common/exechelp.h (revision 4666)
++++ common/exechelp.h (working copy)
+@@ -30,13 +30,14 @@
+ stdin, write the output to OUTFILE, return a new stream in
+ STATUSFILE for stderr and the pid of the process in PID. The
+ arguments for the process are expected in the NULL terminated array
+- ARGV. The program name itself should not be included there. if
++ ARGV. The program name itself should not be included there. If
+ PREEXEC is not NULL, that function will be called right before the
+- exec. Calling gnupg_wait_process is required. Returns 0 on
++ exec. FLAGS is currently only useful for W32, see the source for
++ details. Calling gnupg_wait_process is required. Returns 0 on
+ success or an error code. */
+ gpg_error_t gnupg_spawn_process (const char *pgmname, const char *argv[],
+ FILE *infile, FILE *outfile,
+- void (*preexec)(void),
++ void (*preexec)(void), unsigned int flags,
+ FILE **statusfile, pid_t *pid);
+
+
Property changes on: trunk/patches/gnupg2-2.0.8/04-import-export-spawn.patch
___________________________________________________________________
Name: svn:executable
+ *
More information about the Gpg4win-commits
mailing list